curl --request POST \
--url https://app.masivo.ai/api/storefront/v1/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-account-id: <x-account-id>' \
--data '
{
"title": "<string>",
"description": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_code": "<string>",
"priority": "medium",
"status": "open",
"source_type": "manual",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"actor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"idempotency_key": "<string>",
"required_fields": {}
}
'import requests
url = "https://app.masivo.ai/api/storefront/v1/tickets"
payload = {
"title": "<string>",
"description": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_code": "<string>",
"priority": "medium",
"status": "open",
"source_type": "manual",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "<string>",
"actor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignee_user_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"idempotency_key": "<string>",
"required_fields": {}
}
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
description: '<string>',
pipeline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stage_code: '<string>',
priority: 'medium',
status: 'open',
source_type: 'manual',
review_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customer_id: '<string>',
actor_user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignee_user_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
idempotency_key: '<string>',
required_fields: {}
})
};
fetch('https://app.masivo.ai/api/storefront/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_code": "new",
"title": "<string>",
"description": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignees": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"communication_summary": {
"thread_count": 123,
"latest_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_message_at": "2023-11-07T05:31:56Z",
"latest_message_preview": "<string>",
"channel_account_id": "<string>",
"external_thread_id": "<string>",
"unread_count": 123
},
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"brand_id": "<string>",
"channel_id": "<string>",
"store_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"reopened_at": "2023-11-07T05:31:56Z",
"first_resolved_at": "2023-11-07T05:31:56Z",
"resolution_count": 123,
"resolution_summary": "<string>",
"closure_reason": "<string>",
"associations": [
{
"associated_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"author_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"is_internal": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"stage_history": [
{
"from_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"to_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from_stage_code": "<string>",
"to_stage_code": "<string>",
"changed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123
}
],
"dedupe_fingerprint": "<string>",
"idempotency_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Create ticket
Create a ticket manually, from a review, or for an external customer association. If review_id is provided the ticket is created with source_type review and deduplicated against active review tickets.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The account that owns the ticket
Body
2005000Ticket pipeline id. The account default pipeline is used when omitted.
Internal stage code within pipeline_id. The pipeline default stage is used when omitted.
low, medium, high, urgent open, resolved, closed manual, review, journey, system Review id to associate and deduplicate against an active review ticket.
External customer id to associate with the ticket when there is no review.
Agent/profile id that should be recorded as the creator. If omitted, the first account member is used.
Account member ids to assign to the ticket on creation.
200Values required when the initial status maps to a stage with required fields.
Show child attributes
Show child attributes
Response
Ticket created
Show child attributes
Show child attributes